Subject: [bug#74464] [PATCH] gnu: buildah: Update to 1.38.0.

From: Zheng Junjie <[email-masked]>
Date: Mon, 25 Nov 2024 00:03:05 +0800

Tomas Volf <[email-masked]> writes:

> Hi,
>
> thank you for merging my patches.  I just have a question regarding the
> following:
>
> Z572 <[email-masked]> writes:
>
>> Tomas Volf <[email-masked]> writes:
>>
>>> * gnu/packages/containers.scm (buildah): Update to 1.38.0.
>>> <native-inputs>: Use go-1.22.
>>
>> [native-inputs]: Use go-1.22.
>
> I tried following the `(standards)Indicating the Part Changed' manual,
> since Guix claims to follow the Change log format but I did not manage
> to find its own documentation for it.  According to the info manual, the
> `[..]'  should be used for conditional changes (which this is not).  The
> `<..>' should be used to indicate part changed (which this is).

see

https://mail.gnu.org/archive/html/guix-devel/2019-06/msg00092.html

and

https://mail.gnu.org/archive/html/guix-devel/2023-09/msg00124.html

>
> Could you please point me to a documentation where I could read more on
> what Guix's deviations from the GNU Change Logs format are so that I can
> adhere to it next time?

And Unfortunately there doesn't seem to be such a thing, I remember a
previous discussion at guix-devel about summarizing a document, but
there was no follow-up.

>
> Thank you and have a nice day,
> Tomas